Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class AbstractFactory

    java.lang.Object
      groovy.util.AbstractFactory

All Implemented Interfaces:
  Factory

    public abstract class AbstractFactory
    extends Object

Authors:
  Andres Almiray
  Danno Ferrin

Method Summary
`boolean` | `isHandlesNodeChildren()`
`boolean` | `isLeaf()`
`void` | `onFactoryRegistration(FactoryBuilderSupport builder, String registerdName, String group)`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)`
`boolean` | `onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)`
`void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`
`void` | `setParent(FactoryBuilderSupport builder, Object parent, Object child)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### isHandlesNodeChildren

    public boolean isHandlesNodeChildren()

### isLeaf

    public boolean isLeaf()

### onFactoryRegistration

    public void onFactoryRegistration(FactoryBuilderSupport builder, String registerdName, String group)

### onHandleNodeAttributes

    public boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)

### onNodeChildren

    public boolean onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)

### onNodeCompleted

    public void onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)

### setChild

    public void setChild(FactoryBuilderSupport builder, Object parent, Object child)

### setParent

    public void setParent(FactoryBuilderSupport builder, Object parent, Object child)

Copyright © 2003-2010 The Codehaus. All rights reserved.